

Update reiser4 for page_cache_readahead() API change.

Warning: lame.


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-x86_64-akpm/fs/reiser4/plugin/file/file.c            |    3 ++-
 25-x86_64-akpm/fs/reiser4/plugin/item/extent_file_ops.c |   10 ++++++----
 2 files changed, 8 insertions(+), 5 deletions(-)

diff -puN fs/reiser4/plugin/item/extent_file_ops.c~reiser4-page_cache_readahead-fix fs/reiser4/plugin/item/extent_file_ops.c
--- 25-x86_64/fs/reiser4/plugin/item/extent_file_ops.c~reiser4-page_cache_readahead-fix	Sat Dec  4 00:02:31 2004
+++ 25-x86_64-akpm/fs/reiser4/plugin/item/extent_file_ops.c	Sat Dec  4 00:06:23 2004
@@ -880,8 +880,9 @@ read_move_coord(coord_t *coord, extent_c
 }
 
 static void
-call_page_cache_readahead(struct address_space *mapping, struct file *file, unsigned long page_nr,
-			  const uf_coord_t *uf_coord)
+call_page_cache_readahead(struct address_space *mapping, struct file *file,
+		unsigned long page_nr, const uf_coord_t *uf_coord,
+		unsigned long req_size)
 {
 	reiser4_file_fsdata *fsdata;
 	uf_coord_t ra_coord;
@@ -891,7 +892,7 @@ call_page_cache_readahead(struct address
 	ra_coord.extension.extent.expected_page = page_nr;
 	fsdata->reg.coord = &ra_coord;
 
-	page_cache_readahead(mapping, &file->f_ra, file, page_nr);
+	page_cache_readahead(mapping, &file->f_ra, file, page_nr, req_size);
 	fsdata->reg.coord = 0;
 }
 
@@ -992,7 +993,8 @@ read_extent(struct file *file, flow_t *f
 	count = PAGE_CACHE_SIZE - page_off;
 
 	do {
-		call_page_cache_readahead(inode->i_mapping, file, page_nr, uf_coord);
+		call_page_cache_readahead(inode->i_mapping, file, page_nr,
+				uf_coord, flow->length >> PAGE_CACHE_SHIFT);
 
 		/* this will return page if it exists and is uptodate, otherwise it will allocate page and call
 		   extent_readpage to fill it */
diff -puN fs/reiser4/plugin/file/file.c~reiser4-page_cache_readahead-fix fs/reiser4/plugin/file/file.c
--- 25-x86_64/fs/reiser4/plugin/file/file.c~reiser4-page_cache_readahead-fix	Sat Dec  4 00:08:13 2004
+++ 25-x86_64-akpm/fs/reiser4/plugin/file/file.c	Sat Dec  4 00:09:59 2004
@@ -2731,7 +2731,8 @@ reiser4_internal ssize_t sendfile_common
 		index = *ppos >> PAGE_CACHE_SHIFT;
 		offset = *ppos & ~PAGE_CACHE_MASK;
 
-		page_cache_readahead(inode->i_mapping, &file->f_ra, file, offset);
+		page_cache_readahead(inode->i_mapping, &file->f_ra, file,
+				offset, desc.count >> PAGE_CACHE_SHIFT);
 
 		/* determine valid read request size. */
 		read_request_size = PAGE_CACHE_SIZE - offset;
_
